Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.util
Class HigginsSuggestionOracle

    java.lang.Object
      com.google.gwt.user.client.ui.SuggestOracle
          org.eclipse.higgins.ics.gwt.base.client.util.HigginsSuggestionOracle

public final class HigginsSuggestionOracle
extends com.google.gwt.user.client.ui.SuggestOracle

Nested Class Summary
`static class` | `HigginsSuggestionOracle.MultiWordSuggestion` Suggestion class for `MultiWordSuggestOracle`.

Nested classes inherited from class com.google.gwt.user.client.ui.SuggestOracle
`com.google.gwt.user.client.ui.SuggestOracle.Callback, com.google.gwt.user.client.ui.SuggestOracle.Request, com.google.gwt.user.client.ui.SuggestOracle.Response, com.google.gwt.user.client.ui.SuggestOracle.Suggestion`

Constructor Summary
`HigginsSuggestionOracle()` Constructor for `MultiWordSuggestOracle`.
`HigginsSuggestionOracle(String whitespaceChars)` Constructor for `MultiWordSuggestOracle` which takes in a set of whitespace chars that filter its input.

Method Summary
`void` | `add(String suggestion)` Adds a suggestion to the oracle.
`void` | `addAll(Collection collection)` Adds all suggestions specified.
`void` | `clear()` Removes all of the suggestions from the oracle.
`boolean` | `isDisplayStringHTML()`
`void` | `requestSuggestions(com.google.gwt.user.client.ui.SuggestOracle.Request request, com.google.gwt.user.client.ui.SuggestOracle.Callback callback)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HigginsSuggestionOracle

    public HigginsSuggestionOracle()

  Constructor for `MultiWordSuggestOracle`. This uses a space as the whitespace character.

See Also:
  `#MultiWordSuggestOracle(String)`

### HigginsSuggestionOracle

    public HigginsSuggestionOracle(String whitespaceChars)

  Constructor for `MultiWordSuggestOracle` which takes in a set of whitespace chars that filter its input.

  Example: If `".,"` is passed in as whitespace, then the string "foo.bar" would match the queries "foo", "bar", "foo.bar", "foo...bar", and "foo, bar". If the empty string is used, then all characters are used in matching. For example, the query "bar" would match "bar", but not "foo bar".

Parameters:
  `whitespaceChars` - the characters to treat as word separators

Method Detail

### add

    public void add(String suggestion)

  Adds a suggestion to the oracle. Each suggestion must be plain text.

  Parameters:
    `suggestion` - the suggestion

### addAll

    public void addAll(Collection collection)

  Adds all suggestions specified. Each suggestion must be plain text.

  Parameters:
    `collection` - the collection

### clear

    public void clear()

  Removes all of the suggestions from the oracle.

### isDisplayStringHTML

    public boolean isDisplayStringHTML()

### requestSuggestions

    public void requestSuggestions(com.google.gwt.user.client.ui.SuggestOracle.Request request,
                                   com.google.gwt.user.client.ui.SuggestOracle.Callback callback)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD